Runtime

## org.eclipse.gmf.runtime.notation.impl
Class FontStyleImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.gmf.runtime.notation.impl.FontStyleImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, FontStyle, Style

Direct Known Subclasses:
  ShapeStyleImpl

    public class FontStyleImpl

extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
implements FontStyle

An implementation of the model object 'Font Style'.

The following features are implemented:

- `Font Color`
- `Font Name`
- `Font Height`
- `Bold`
- `Italic`
- `Underline`
- `Strike Through`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static boolean` `BOLD_EDEFAULT` The default value of the '`Bold`' attribute
`protected static int` `BOLD_EFLAG` The flag representing the value of the '`Bold`' attribute
`protected int` `eFlags` int field to store booleans and enums
`protected static int` `FONT_COLOR_EDEFAULT` The default value of the '`Font Color`' attribute
`protected static int` `FONT_HEIGHT_EDEFAULT` The default value of the '`Font Height`' attribute
`protected static java.lang.String` `FONT_NAME_EDEFAULT` The default value of the '`Font Name`' attribute
`protected int` `fontColor` The cached value of the '`Font Color`' attribute
`protected int` `fontHeight` The cached value of the '`Font Height`' attribute
`protected java.lang.String` `fontName` The cached value of the '`Font Name`' attribute
`protected static boolean` `ITALIC_EDEFAULT` The default value of the '`Italic`' attribute
`protected static int` `ITALIC_EFLAG` The flag representing the value of the '`Italic`' attribute
`protected static boolean` `STRIKE_THROUGH_EDEFAULT` The default value of the '`Strike Through`' attribute
`protected static int` `STRIKE_THROUGH_EFLAG` The flag representing the value of the '`Strike Through`' attribute
`protected static boolean` `UNDERLINE_EDEFAULT` The default value of the '`Underline`' attribute
`protected static int` `UNDERLINE_EFLAG` The flag representing the value of the '`Underline`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `FontStyleImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`int` `getFontColor()`
`int` `getFontHeight()`
`java.lang.String` `getFontName()`
`boolean` `isBold()`
`boolean` `isItalic()`
`boolean` `isStrikeThrough()`
`boolean` `isUnderline()`
`void` `setBold(boolean newBold)`
`void` `setFontColor(int newFontColor)`
`void` `setFontHeight(int newFontHeight)`
`void` `setFontName(java.lang.String newFontName)`
`void` `setFontNameGen(java.lang.String newFontName)`
`void` `setItalic(boolean newItalic)`
`void` `setStrikeThrough(boolean newStrikeThrough)`
`void` `setUnderline(boolean newUnderline)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### eFlags

    protected int eFlags

  int field to store booleans and enums

  Since:
    1.2

### FONT_COLOR_EDEFAULT

    protected static final int FONT_COLOR_EDEFAULT

  The default value of the '`Font Color`' attribute.

  See Also:
    `getFontColor()`, Constant Field Values
  ** Generated **
  Ordered:

### fontColor

    protected int fontColor

  The cached value of the '`Font Color`' attribute.

  See Also:
    `getFontColor()`
  ** Generated **
  Ordered:

### FONT_NAME_EDEFAULT

    protected static final java.lang.String FONT_NAME_EDEFAULT

  The default value of the '`Font Name`' attribute.

  See Also:
    `getFontName()`, Constant Field Values
  ** Generated **
  Ordered:

### fontName

    protected java.lang.String fontName

  The cached value of the '`Font Name`' attribute.

  See Also:
    `getFontName()`
  ** Generated **
  Ordered:

### FONT_HEIGHT_EDEFAULT

    protected static final int FONT_HEIGHT_EDEFAULT

  The default value of the '`Font Height`' attribute.

  See Also:
    `getFontHeight()`, Constant Field Values
  ** Generated **
  Ordered:

### fontHeight

    protected int fontHeight

  The cached value of the '`Font Height`' attribute.

  See Also:
    `getFontHeight()`
  ** Generated **
  Ordered:

### BOLD_EDEFAULT

    protected static final boolean BOLD_EDEFAULT

  The default value of the '`Bold`' attribute.

  See Also:
    `isBold()`, Constant Field Values
  ** Generated **
  Ordered:

### BOLD_EFLAG

    protected static final int BOLD_EFLAG

  The flag representing the value of the '`Bold`' attribute.

  See Also:
    `isBold()`, Constant Field Values
  ** Generated **
  Ordered:

### ITALIC_EDEFAULT

    protected static final boolean ITALIC_EDEFAULT

  The default value of the '`Italic`' attribute.

  See Also:
    `isItalic()`, Constant Field Values
  ** Generated **
  Ordered:

### ITALIC_EFLAG

    protected static final int ITALIC_EFLAG

  The flag representing the value of the '`Italic`' attribute.

  See Also:
    `isItalic()`, Constant Field Values
  ** Generated **
  Ordered:

### UNDERLINE_EDEFAULT

    protected static final boolean UNDERLINE_EDEFAULT

  The default value of the '`Underline`' attribute.

  See Also:
    `isUnderline()`, Constant Field Values
  ** Generated **
  Ordered:

### UNDERLINE_EFLAG

    protected static final int UNDERLINE_EFLAG

  The flag representing the value of the '`Underline`' attribute.

  See Also:
    `isUnderline()`, Constant Field Values
  ** Generated **
  Ordered:

### STRIKE_THROUGH_EDEFAULT

    protected static final boolean STRIKE_THROUGH_EDEFAULT

  The default value of the '`Strike Through`' attribute.

  See Also:
    `isStrikeThrough()`, Constant Field Values
  ** Generated **
  Ordered:

### STRIKE_THROUGH_EFLAG

    protected static final int STRIKE_THROUGH_EFLAG

  The flag representing the value of the '`Strike Through`' attribute.

  See Also:
    `isStrikeThrough()`, Constant Field Values
  ** Generated **
  Ordered:

Constructor Detail

### FontStyleImpl

    protected FontStyleImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### getFontName

    public java.lang.String getFontName()

  Specified by:
    `getFontName` in interface `FontStyle`
  Returns:
    the value of the 'Font Name' attribute.
  See Also:
    `FontStyle.setFontName(String)`, `NotationPackage.getFontStyle_FontName()`
  ** Generated **

### setFontName

    public void setFontName(java.lang.String newFontName)

  Specified by:
    `setFontName` in interface `FontStyle`
  Parameters:
    `newFontName` - the new value of the 'Font Name' attribute.
  See Also:
    `FontStyle.getFontName()`
  ** Generated **
    NOT

### setFontNameGen

    public void setFontNameGen(java.lang.String newFontName)

  Since:
    1.2
  ** Generated **

### getFontHeight

    public int getFontHeight()

  Specified by:
    `getFontHeight` in interface `FontStyle`
  Returns:
    the value of the 'Font Height' attribute.
  See Also:
    `FontStyle.setFontHeight(int)`, `NotationPackage.getFontStyle_FontHeight()`
  ** Generated **

### setFontHeight

    public void setFontHeight(int newFontHeight)

  Specified by:
    `setFontHeight` in interface `FontStyle`
  Parameters:
    `newFontHeight` - the new value of the 'Font Height' attribute.
  See Also:
    `FontStyle.getFontHeight()`
  ** Generated **

### isBold

    public boolean isBold()

  Specified by:
    `isBold` in interface `FontStyle`
  Returns:
    the value of the 'Bold' attribute.
  See Also:
    `FontStyle.setBold(boolean)`, `NotationPackage.getFontStyle_Bold()`
  ** Generated **

### setBold

    public void setBold(boolean newBold)

  Specified by:
    `setBold` in interface `FontStyle`
  Parameters:
    `newBold` - the new value of the 'Bold' attribute.
  See Also:
    `FontStyle.isBold()`
  ** Generated **

### isItalic

    public boolean isItalic()

  Specified by:
    `isItalic` in interface `FontStyle`
  Returns:
    the value of the 'Italic' attribute.
  See Also:
    `FontStyle.setItalic(boolean)`, `NotationPackage.getFontStyle_Italic()`
  ** Generated **

### setItalic

    public void setItalic(boolean newItalic)

  Specified by:
    `setItalic` in interface `FontStyle`
  Parameters:
    `newItalic` - the new value of the 'Italic' attribute.
  See Also:
    `FontStyle.isItalic()`
  ** Generated **

### isUnderline

    public boolean isUnderline()

  Specified by:
    `isUnderline` in interface `FontStyle`
  Returns:
    the value of the 'Underline' attribute.
  See Also:
    `FontStyle.setUnderline(boolean)`, `NotationPackage.getFontStyle_Underline()`
  ** Generated **

### setUnderline

    public void setUnderline(boolean newUnderline)

  Specified by:
    `setUnderline` in interface `FontStyle`
  Parameters:
    `newUnderline` - the new value of the 'Underline' attribute.
  See Also:
    `FontStyle.isUnderline()`
  ** Generated **

### isStrikeThrough

    public boolean isStrikeThrough()

  Specified by:
    `isStrikeThrough` in interface `FontStyle`
  Returns:
    the value of the 'Strike Through' attribute.
  See Also:
    `FontStyle.setStrikeThrough(boolean)`, `NotationPackage.getFontStyle_StrikeThrough()`
  ** Generated **

### setStrikeThrough

    public void setStrikeThrough(boolean newStrikeThrough)

  Specified by:
    `setStrikeThrough` in interface `FontStyle`
  Parameters:
    `newStrikeThrough` - the new value of the 'Strike Through' attribute.
  See Also:
    `FontStyle.isStrikeThrough()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### getFontColor

    public int getFontColor()

  Specified by:
    `getFontColor` in interface `FontStyle`
  Returns:
    the value of the 'Font Color' attribute.
  See Also:
    `FontStyle.setFontColor(int)`, `NotationPackage.getFontStyle_FontColor()`
  ** Generated **

### setFontColor

    public void setFontColor(int newFontColor)

  Specified by:
    `setFontColor` in interface `FontStyle`
  Parameters:
    `newFontColor` - the new value of the 'Font Color' attribute.
  See Also:
    `FontStyle.getFontColor()`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.